Groovy Documentation

## org.codehaus.groovy.grails.commons.cfg
[Groovy] Class MapBasedSmartPropertyOverrideConfigurer

    java.lang.Object
      org.codehaus.groovy.grails.commons.cfg.MapBasedSmartPropertyOverrideConfigurer

    class MapBasedSmartPropertyOverrideConfigurer

Applies property configuration from a Map with bean names as keys and bean properties as name/value Maps (i.e. Map<String,Map<String,Object>>), trying to handle FactoryBeans specially by applying the properties to the actual bean.

Authors:
  Luke Daley

Property Summary
`GrailsApplication` | `application`

Constructor Summary
`MapBasedSmartPropertyOverrideConfigurer(GrailsApplication application)`

Method Summary
`protected void` | `applyPropertyValue(ConfigurableListableBeanFactory factory, java.lang.String beanName, java.lang.String property, java.lang.Object value)`
`protected groovy.util.ConfigObject` | `getBeansConfig()`
`protected java.lang.ClassLoader` | `getClassLoader()`
`protected BeanDefinition` | `getTargetBeanDefinition(ConfigurableListableBeanFactory factory, java.lang.String beanName)`
`protected BeanDefinition` | `getTargetBeanDefinition(ConfigurableListableBeanFactory factory, java.lang.String beanName, BeanDefinition beanDefinition)`
`protected BeanDefinition` | `getTargetBeanDefinition(ConfigurableListableBeanFactory factory, java.lang.String beanName, BeanDefinition beanDefinition, java.lang.Class beanClass)`
`protected BeanDefinition` | `getTargetBeanDefinitionForFactoryBean(ConfigurableListableBeanFactory factory, java.lang.String beanName, BeanDefinition beanDefinition, java.lang.Class beanClass)`
`void` | `postProcessBeanFactory(ConfigurableListableBeanFactory factory)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### application

    final GrailsApplication application

Constructor Detail

### MapBasedSmartPropertyOverrideConfigurer

    MapBasedSmartPropertyOverrideConfigurer(GrailsApplication application)

Method Detail

### applyPropertyValue

    protected void applyPropertyValue(ConfigurableListableBeanFactory factory, java.lang.String beanName, java.lang.String property, java.lang.Object value)

### getBeansConfig

    protected groovy.util.ConfigObject getBeansConfig()

### getClassLoader

    protected java.lang.ClassLoader getClassLoader()

### getTargetBeanDefinition

    protected BeanDefinition getTargetBeanDefinition(ConfigurableListableBeanFactory factory, java.lang.String beanName)

### getTargetBeanDefinition

    protected BeanDefinition getTargetBeanDefinition(ConfigurableListableBeanFactory factory, java.lang.String beanName, BeanDefinition beanDefinition)

### getTargetBeanDefinition

    protected BeanDefinition getTargetBeanDefinition(ConfigurableListableBeanFactory factory, java.lang.String beanName, BeanDefinition beanDefinition, java.lang.Class beanClass)

### getTargetBeanDefinitionForFactoryBean

    protected BeanDefinition getTargetBeanDefinitionForFactoryBean(ConfigurableListableBeanFactory factory, java.lang.String beanName, BeanDefinition beanDefinition, java.lang.Class beanClass)

### postProcessBeanFactory

    void postProcessBeanFactory(ConfigurableListableBeanFactory factory)

Groovy Documentation